Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.SELECTFILTER

java.lang.Object
java.lang.Enum<BuilderToken.SELECTFILTER>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.SELECTFILTER

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.SELECTFILTER>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.SELECTFILTER extends Enum<BuilderToken.SELECTFILTER>
SelectFilter model

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HINT`
  Allows to specify some hints to the request server: cache/nocache
  $hint : [ cache/nocache, ...
  `LIMIT`
  Limit the elements returned to the nth first elements $limit : n
  `OFFSET`
  According to an orderby, start to return the elements from rank start
  $offset : start
  `ORDERBY`
  Specify an orderby to respect in the return of the elements according to one field named 'name' and an orderby ascendant (+1) or descendant (-1)
  $orderby : [ { key : +/-1 } ]
  `SCROLL_ID`
  scrollId for scroll functionality $scrollId
  `SCROLL_TIMEOUT`
  scrollTimeout expiry time for scrollId
  `TRACK_TOTAL_HITS`
  Allow computing total hits.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.SELECTFILTER`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.SELECTFILTER[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIMIT

    public static final BuilderToken.SELECTFILTER LIMIT
    Limit the elements returned to the nth first elements $limit : n

  - ### SCROLL_ID

    public static final BuilderToken.SELECTFILTER SCROLL_ID
    scrollId for scroll functionality $scrollId

  - ### SCROLL_TIMEOUT

    public static final BuilderToken.SELECTFILTER SCROLL_TIMEOUT
    scrollTimeout expiry time for scrollId

  - ### OFFSET

    public static final BuilderToken.SELECTFILTER OFFSET
    According to an orderby, start to return the elements from rank start
    $offset : start

  - ### ORDERBY

    public static final BuilderToken.SELECTFILTER ORDERBY
    Specify an orderby to respect in the return of the elements according to one field named 'name' and an orderby ascendant (+1) or descendant (-1)
    $orderby : [ { key : +/-1 } ]

  - ### HINT

    public static final BuilderToken.SELECTFILTER HINT
    Allows to specify some hints to the request server: cache/nocache
    $hint : [ cache/nocache, ... ]

  - ### TRACK_TOTAL_HITS

    public static final BuilderToken.SELECTFILTER TRACK_TOTAL_HITS
    Allow computing total hits.

- ## Method Details

  - ### values

    public static BuilderToken.SELECTFILTER[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.SELECTFILTER valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token